# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE_MAGIC_CELL
# Automatically replaced inline charts by "no-op" charts
# %pylab inline
import matplotlib
matplotlib.use("Agg")

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
import dataiku
from dataiku import pandasutils as pdu
import pandas as pd
import numpy as np

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
# Read the dataset as a Pandas dataframe in memory
# Note: here, we only read the first 100K rows. Other sampling options are available
dataset_customers_orders_joined = dataiku.Dataset("customers_orders_joined")
df = dataset_customers_orders_joined.get_dataframe(limit=100000)

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
df['new'] = np.random.randint(1, 11, size=len(df))

# -------------------------------------------------------------------------------- NOTEBOOK-CELL: CODE
# Recipe outputs
customers_py = dataiku.Dataset("customers_py")
customers_py.write_with_schema(df)